#include ONCE "window9.bi"

function Rotate4_Image(pImage as Hbitmap , iFlag as Long) as Hbitmap export

	select case iFlag
	
		Case 1
		
			iFlag = GDK_PIXBUF_ROTATE_CLOCKWISE
		
		case 2
		
			iFlag = GDK_PIXBUF_ROTATE_UPSIDEDOWN
		
		case 3
		
			iFlag = GDK_PIXBUF_ROTATE_COUNTERCLOCKWISE
		
		case 4
		
			iFlag = GDK_PIXBUF_ROTATE_NONE

	End Select
	
	return gdk_pixbuf_rotate_simple(pImage , iFlag)

End function